Subject: Re: [mobile-ip] Updated unresolved issue #16: Unrecognized MH Type

From: Samita Chakrabarti <[email-masked]>
Date: Fri, 19 Apr 2002 15:31:43 -0700 (PDT)

> 
> Question: Is this an important error to give? Should we define a new
> MH Type and message called Error that would contain an error code? Or
> should we use the Binding Ack message with a new error code? Or should
> we define the BM message as a general error message for mobility, and
> define an error code for wrong MH Type? Or should we use ICMP
> Parameter Problem Code 0 (erroneous header field encountered) and
> pointer to MH Type to indicate problems.
> 
> Proposal: Use of the Binding Ack message does not seem appropriate as
> it would be then be used in a quite different role than originally
> intended. The ICMP Parameter Problem Code 0 approach is possible, but
> involves a complicated decision based on looking at the reported
> pointer and original packet. Such actions are typically not done
> based on these messages. A new error message might be appropriate,
> but then we would have two error-reporting messages, Binding Error
> and Binding Missing. The proposal is therefore that the Binding
> Missing message be renamed to Mobility Error, and added an error
> code to indicate (1) unsupported MH Type, (2) missing binding, and
> (3) any new error perhaps needed in future extensions.

The new error message  seems to be a clean  approach.

Renaming BM to "Mobility binding error" should cover
binding msg related errors and missing binding (this is in a
way an error too) message.

Thanks,
-Samita